﻿''
'' WpfVB
''
'' Copyright (c) 2016 http://www.curict.com
'' This software is released under the MIT License, see LICENSE.txt.
''

Imports System.ComponentModel

Public Class MainWindowViewModel : Implements INotifyPropertyChanged

    Private _isReadOnly As Boolean

    Public Sub New()
        Me.IsReadOnly = True
    End Sub


    ''' <summary>
    ''' ComboBoxに表示するデータ
    ''' </summary>
    Public ReadOnly Property ComboBoxDataList As String()
        Get
            Return {"Data1", "Data2", "Data3"}
        End Get
    End Property

    ''' <summary>
    ''' ComboBoxのIsReadOnlyとバインド
    ''' </summary>
    Public Property IsReadOnly As Boolean
        Get
            Return _isReadOnly
        End Get
        Set(value As Boolean)
            _isReadOnly = value
            ' プロパティ変更通知
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs("IsReadOnly"))
        End Set
    End Property

#Region "INotifyPropertyChangedの実装"
    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
#End Region
End Class
